std::weibull_distribution< _RealType >(3)

NAME
std::weibull_distribution< _RealType > -

SYNOPSIS

  Classes
struct param_type

  Public Types
typedef _RealType result_type

  Public Member Functions
weibull_distribution (_RealType __a=_RealType(1), _RealType __b=_RealType(1))
weibull_distribution (const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator > void __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
_RealType a () const
_RealType b () const
result_type max () const
result_type min () const
template<typename _UniformRandomNumberGenerator > weibull_distribution
< _RealType >::result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)"
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type param () const
void param (const param_type &__param)
void reset ()

  Friends
bool operator== (const weibull_distribution &__d1, const weibull_distribution &__d2)

Detailed Description

  template<typename _RealType = double>class std::weibull_distribution< _RealType >
A weibull_distribution random number distribution. The formula for the normal probability density function is: p(x|lpha,tta} (ac{x}{txp{(-(ac{x}{

Definition at line 4848 of file random.h.

Member Typedef Documentation

  template<typename _RealType = double> typedef _RealType std::weibull_distribution< _RealType >::result_type
The type of the range of the distribution.

Definition at line 4851 of file random.h.

Member Function Documentation

  template<typename _RealType = double> _RealType std::weibull_distribution< _RealType >::a () const [inline]

Return the $a$ parameter of the distribution.

Definition at line 4906 of file random.h.

  template<typename _RealType = double> _RealType std::weibull_distribution< _RealType >::b () const [inline]

Return the $b$ parameter of the distribution.

Definition at line 4913 of file random.h.

  template<typename _RealType = double> result_type std::weibull_distribution< _RealType >::max () const [inline]

Returns the least upper bound value of the distribution.

Definition at line 4942 of file random.h.

References std::numeric_limits< _Tp >::max().

  template<typename _RealType = double> result_type std::weibull_distribution< _RealType >::min () const [inline]

Returns the greatest lower bound value of the distribution.

Definition at line 4935 of file random.h.

  template<typename _RealType = double> template<typename _UniformRandomNumberGenerator > result_type std::weibull_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng) [inline]

Generating functions.

Definition at line 4950 of file random.h.

  template<typename _RealType = double> param_type std::weibull_distribution< _RealType >::param () const [inline]

Returns the parameter set of the distribution.

Definition at line 4920 of file random.h.

Referenced by std::operator>>().

  template<typename _RealType = double> void std::weibull_distribution< _RealType >::param (const param_type &__param) [inline]

Sets the parameter set of the distribution.

Parameters:
    __param The new parameter set of the distribution.

Definition at line 4928 of file random.h.

  template<typename _RealType = double> void std::weibull_distribution< _RealType >::reset () [inline]

Resets the distribution state.

Definition at line 4899 of file random.h.

Friends And Related Function Documentation

  template<typename _RealType = double> bool operator== (const weibull_distribution< _RealType > &__d1, const weibull_distribution< _RealType > &__d2) [friend]

Return true if two Weibull distributions have the same parameters.

Definition at line 4985 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.